
**Fluid Dynamics of the Central Nervous System SNF 213535**

This is the main repository of the Sinergia project: Fluid Dynamics of the Central Nervous System

-   Website: <https://snf_213535.pages.uzh.ch/fdcns>

-   Project entry in SNF data base: <https://data.snf.ch/grants/grant/213535>

This documentation: 

[[_TOC_]] 


# Instructions for content editors

Access and edit the content of 'webpage_contents'

### Markdown files
These are text-based files that use Markdown, which is a simple syntax to add formatting to plain text. We can use this in the following files:
-    .md or .txt files. These are simpmle plain text files. If we have the .md extension and use Markdown formatting in the plain text Gitlab will render the content with the style defined by Markdown (e.g., `# for section title , ## subsection title, * bold, etc)`) 

- .qmd  are Quarto markdown files. They are used when we include also code chunks and a YAML header indicated by `---` (see templates). The header section is not used in the .md files. 

### Convert word to .md
If you have Quarto installed you can go your terminal  and do: 

 `quarto pandoc  -s  fileinput .docx -t markdown -o fileoutput.md ` 

#### Adding links, photos and tables to Markdown files

Detailed docummentation can be found in the [Gitlab documentation](https://docs.gitlab.com/ee/user/markdown.html )

- Links: `[](url)` for example `[link to our website](https://snf_213535.pages.uzh.ch/fdcns/)`
-  Images:
      - Upload an image into the folder your .md or .qmd file is (it is usually recommended to put it in a new folder called 'images' or similar)
      - Then `![](images/filename.jpg)`
-  Tables:
      - open an excel or other spreadsheet software  and write your table there
      - Copy the table content 
      - Open the repository in a new tab in your bnrowser and go click Plan/Issues
      - If you paste the content in the new issue Gitlab will convert it to markdown as shown (here)[https://docs.gitlab.com/ee/user/markdown.html#copy-and-paste-from-a-spreadsheet]
      - Copy and paste the markdown table into your .qmd or .md file. 

 

### Using the templates in the browser
#### 1. Open the in-browser editor

-   Go to the Gitlab repository: <https://gitlab.uzh.ch/snf_213535/fdcns> (or find the link at the bottom of the webpage)

-   Make sure you are **signed in**

-   Open the Web IDE (Integrated Development Environment)

![](images/DataHub_usingTemplates_01-ezgif.com-video-to-gif-converter.gif)

#### 2. Copy and paste a template

-   Choose the template that you want to reuse

-   Copy it (right click + copy)

-   Paste it (right click + paste) in the corresponding  **experiments** or **publications** folder

![](images/EditedClip_DataHub_usingTemplates_02-ezgif.com-video-to-gif-converter.gif)

#### 3. Edit the copy of the template

Start by renaming the folder

![](images/DataHub_usingTemplates_03-a-ezgif.com-video-to-gif-converter.gif)

##### Edit files directly in the browser

You can use the webIDE to edit markdown files and directly see how they will look like when formatted:

![](images/DataHub_usingTemplates_03-b-ezgif.com-video-to-gif-converter%20(2).gif)

##### Uploading a file from your computer

It is often easier to edit large files in your computer. Then you can just drag and drop the file

![](images/DataHub_usingTemplates_03-c-ezgif.com-video-to-gif-converter.gif)

#### 4. Delete any of the copied template files that you will not use

Of course, leave the Template folder intact. This only applies to the copies in Experiments or Publications.

#### 5. Do not forget to COMMIT the changes or you will lose all changes!

-   After any change is done in the webIDE, you need to commit

-   Go to the Commit menu

-   Write a short message describing your action

-   Click Commit to 'master'

-   The changes will be saved. Note: changes that will be = rendered in the webpage might take a few (3 or 4) minutes to show in the website.

![](images/DataHub_usingTemplates_04-MadewithClipchamp-ezgif.com-video-to-gif-converter.gif)



# Instructions for repository owners
### Repository organization

The main files and folders are the following:

```         
fdcns/                            # Repository
│
├── .gitlab-ci.yml                # (fixed name) Has the script that will render the site with any change in the repo. 
├── images                        # contains logos, images, etc used in the main site 
│
├── webpage_contents/             # All editable content and website settings, lay-out etc
│   ├── _quarto.yml               # Settings defining navigation bar titles among other layout features
│   ├── index.qmd                 # Main landing page 
│   ├── pages_*.qmd               # Other pages that will appear in the main site (e.g., glossary)
│   ├── webpage_contents.Rproj    # Recommended file for working with R locally
│   ├── experiments/              # Contain metadata from modalities and per facility
│   │        ├── synchrotron
│   │        │        ├── PSpring8_* # facility and date of collection. Each folder contains procedures and other metadata
│   │        │        ├── ESRF_* 
│   │        │        └── ... 
│   │        ├── multiphoton microscopy 
│   │        └── ...
│   └── publications/             # >> Each page can be a file or a self-contained folder with a .md file and related images or data
│            └── *.md             # Pages describing publications
│ 
├+  _site    # If rendered locally this folder is created with the html files. It will be .gitignore when pushing changes to remote 
│
└──public                  # .gitlab-ci.yml renders the site and copis into 'public'. Folder name required by Gitlab Pages
   │                       # [CI alert!] the content of 'public' can be seen in Gitlab Build/Artifact, not in the main repo view
   │                       # [NOTE: although named 'public' it can be set in a private repository and thus protected]
   └── .nojekyll           # (empty) file required by Gitlab pages if not using jekyll                      
```
### Listing

The automatically generated tables indexing the .md or .qmd files in a folder is called [Listing](https://quarto.org/docs/websites/website-listings.html) in Quarto's documentation.

# Known issues
- The webIDE in Firefox did not allow somne users to do actions like copy pasting folders or renaming. These may be a browser settings issue...try Chrome? 
